Loading...
Searching...
No Matches
caf::attachable::token Struct Reference

Represents a pointer to a value with its subtype as type ID number. More...

`#include <attachable.hpp>`

## Public Member Functions

template<class T>
| token (const T &tk)
| token (size_t typenr, const void *vptr)

## Public Attributes

size_t | subtype
| Denotes the type of ptr.
const void * | ptr
| Any value, used to identify attachable instances.

## Static Public Attributes

static constexpr size_t | anonymous = 0
| Identifies a non-matchable subtype.
static constexpr size_t | subscription = 1
| Identifies abstract_group::subscription.
static constexpr size_t | observer = 2
| Identifies default_attachable::observe_token.
static constexpr size_t | stream_aborter = 3
| Identifies stream_aborter::token.

## Detailed Description

Represents a pointer to a value with its subtype as type ID number.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/attachable.hpp